<?php
/**
 * Общий конфиг для всего приложения
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 15.10.2014
 * @since 1.0.0
 */
$config = [
    'name' => 'fort-doors.ru',

    'components'    =>
    [
        'db' => include_once 'db.php',

        'urlManager' => [
            'rules' => [
                //'/' => 'site/index',
                '<action:(about|page|index|contact|signup)>' => 'site/<action>',
                //'///<seo_page_name>.<_c:(game)>.html' => 'game/<_c>/view',
                [
                    'class'             => \skeeks\cms\components\TreeUrlRule::className(),
                    'useLastDelimetr'   => false
                ]
            ]

        ],

        'cache' => [
            //'class' => 'yii\caching\FileCache',
            'class' => 'yii\caching\XCache',
        ],


        //Возможные layout приложения
        'registeredLayouts' =>
        [
            'class'         => '\skeeks\cms\components\RegisteredLayouts',
            'components'    =>
            [

                'site2' =>
                [
                    'name' => 'Второй шаблон',
                    'path' => '@app/views/layouts/site2.php'
                ],

                'site3' =>
                [
                    'name' => 'Третий шаблон',
                    'path' => '@app/views/layouts/site3.php'
                ]
            ]
        ],

        'registeredModels' =>
        [
            'class'         => '\skeeks\cms\components\RegisteredModels',
            'components' => include_once 'models.php'
        ],
    ],
];




return $config;
