<?php
/**
 * Конфиг сайтвой части приложения
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 15.10.2014
 * @since 1.0.0
 */
$config = [
    'basePath' => dirname(__DIR__),
    'controllerNamespace' => 'frontend\controllers',

    'params' => (new \skeeks\cms\Config([
        COMMON_CONFIG_DIR . "/params.php",
        COMMON_ENV_CONFIG_DIR . "/params.php",
        APP_CONFIG_DIR . "/params.php",
        APP_ENV_CONFIG_DIR . "/params.php"
    ]))->getResult(),


    'components' =>
    [
        'assetManager' =>
        [
            'appendTimestamp'   => true,
            'linkAssets'        => true,
        ],

        'errorHandler' => [
            'errorAction' => 'cms/error/error',
        ],

        'request' => [
            // !!! insert a secret key in the following (if it is empty) - this is required by cookie validation
            'cookieValidationKey' => 'skeeks',
        ],

        'user' =>
        [
            'identityClass' => 'common\models\User',
        ],

        'registeredWidgets' =>
        [
            'components' => [

                'skeeks\cms\widgets\treeChildrens\TreeChildrens' =>
                [
                    'templates'     =>
                    [
                        'project' =>
                        [
                            'name' => 'Шаблон проекта',
                            'baseDir'   => '@app/views/widgets/treeChildrens'
                        ],

                        'left' =>
                        [
                            'name' => 'Левое меню',
                            'baseDir'   => '@app/views/widgets/treeChildrens'
                        ],

                        'content' =>
                        [
                            'name' => 'Контент',
                            'baseDir'   => '@app/views/widgets/treeChildrens'
                        ]
                    ],
                ],

                'skeeks\cms\widgets\publicationsAll\PublicationsAll' =>
                [
                    'templates'     =>
                    [
                        'project' =>
                        [
                            'name' => 'Список без навигации (только названия)',
                            'baseDir'   => '@app/views/widgets/PublicationsAll'
                        ],

                        'list-paginations' =>
                        [
                            'name' => 'Список с навигацией',
                            'baseDir'   => '@app/views/widgets/PublicationsAll'
                        ]
                    ],
                ],



                'skeeks\modules\cms\catalog\widgets\products\Products' =>
                [
                    'templates'     =>
                    [
                        'left' =>
                        [
                            'name' => 'В левом меню',
                            'baseDir'   => '@app/views/widgets/products'
                        ],

                        'content' =>
                        [
                            'name' => 'Контент',
                            'baseDir'   => '@app/views/widgets/products'
                        ]
                    ],

                ],


                'skeeks\modules\cms\slider\widgets\slider\Slider' =>
                [
                    'templates'     =>
                    [
                        'main-page' =>
                        [
                            'name' => 'Для главной страницы',
                            'baseDir'   => '@app/views/widgets/slider'
                        ]
                    ],
                ],

                'skeeks\modules\cms\reviews\widgets\reviews\Reviews' =>
                [
                    'templates'     =>
                    [
                        'default' =>
                        [
                            'baseDir'   => '@app/views/widgets/reviews'
                        ]

                    ],
                ],
            ]
        ],


    ]
];

return $config;