<?php
/**
 * view
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 09.12.2014
 * @since 1.0.0
 */

/**
 * @var \skeeks\modules\cms\catalog\models\Product $model
 */

?>
<?= \Yii::$app->cms->renderFrontend('include/slider.php'); ?>
<? $formatter = new \skeeks\modules\cms\money\IntlFormatter(\Yii::$app->language);?>

<div class="row">
    <?= \Yii::$app->cms->widgetInfoblock('breadcrumbs'); ?>
</div>

<div class="row">
   <!-- left col -->
    <div class="col-md-3">
        <?= \Yii::$app->cms->renderFrontend('include/left-col.php'); ?>
    </div>
    <!-- right col -->
    <div class="col-md-9 content-col">
        <div class="row">
            <h1 class="page-title col-md-12 col-xs-12 mt-10 mb-20"><?= $model->name; ?></h1>


                        <div class="product_wrap">
							<div class="col-md-6 col-xs-12 service-box text-center product-img_wrap">
								<div class="product-img">

                                    <? if ($model->hasMainImage()) : ?>
                                        <a href="<?= $model->getMainImageSrc(); ?>" title="<?= $model->name; ?>" class="sx-fancybox">
                                            <img alt="<?= $model->name; ?>" title="<?= $model->name; ?>" src="<?=
                                            \Yii::$app->imaging->getImagingUrl($model->getMainImageSrc(),
                                                new \skeeks\cms\components\imaging\filters\Thumbnail([
                                                    'w'    => 160,
                                                    'h'    => 255,
                                                ])
                                            ) ?>
                                            <?/*= $model->getMainImageSrc(); */?>">
                                        </a>
                                        <div class="text-right mt-10">
                                            <a href="<?= $model->getMainImageSrc(); ?>" class="sx-fancybox link-dashed">Увеличить</a><a href="<?= $model->getMainImageSrc(); ?>" class="sx-fancybox"><img alt="" src="/img/icons/img-incr.png"></a>
                                        </div>
                                    <? else: ?>

                                    <? endif; ?>



								</div>
							</div>
							<div class="col-md-6 col-xs-12">
								<div class="price-box bg-red">
									<div class="pull-left mt-5">
										 <span class="condensed fz18"><b>Цена: </b></span><span class="condensed fz23 cl-orang"><b><?= $formatter->format($model->cost()); ?></b></span>
									</div>
									<a class="btn btn-primary pull-right sx-fancybox" href="#form-product-order">Заказать</a>
								</div>
								<div class="product-features">
									<ul class="unstyled product-features_list">
										<li class="product-features_item"><img src="/img/icons/prod-gar.gif"/> <b>Гарантия</b> производителя</li>
										<li class="product-features_item"><img src="/img/icons/prod-ust.gif"/> <b>Установка</b> от 1 часа</li>
										<li class="product-features_item"><img src="/img/icons/prod-time.gif"/> <b>В течении часа подтвердим</b> ваш заказ</li>
										<li class="product-features_item"><img src="/img/icons/prod-razm.gif"/> <b>Изготовление не станратных</b> размеров</li>
										<li class="product-features_item"><img src="/img/icons/prod-tolsh.gif"/> <b>Толщина металла</b> 3 мм.</li>
										<li class="product-features_item"><img src="/img/icons/prod-srok.gif"/> <b>Срок изготовления</b> 7 дней</li>
									</ul>

								</div>
							</div>
                            <? if ($propertyValues = $model->fetchPropertyValues()) : ?>
							<div class="col-xs-12 ">
								<h2 class="no-margin mt-10 mb-10 cl-grey fz16 pull-left">Характеристики</h2>
								<div class="likes pull-right mt-20">
								<script type="text/javascript">(function() {
								  if (window.pluso)if (typeof window.pluso.start == "function") return;
								  if (window.ifpluso==undefined) { window.ifpluso = 1;
									var d = document, s = d.createElement('script'), g = 'getElementsByTagName';
									s.type = 'text/javascript'; s.charset='UTF-8'; s.async = true;
									s.src = ('https:' == window.location.protocol ? 'https' : 'http')  + '://share.pluso.ru/pluso-like.js';
									var h=d[g]('body')[0];
									h.appendChild(s);
								  }})();</script>
								<div class="pluso" data-background="none;" data-options="small,square,line,horizontal,nocounter,sepcounter=1,theme=14" data-services="vkontakte,facebook,twitter,google"></div>
								</div>
							</div>


                                <div class="col-xs-12 ">
								<div class="table-responsive">
									<table class="stripped product-prop table table-striped">
                                        <? foreach($propertyValues as $propertyValue) : ?>
                                            <tr class="">
                                                <td><b><?= $propertyValue->fetchProductProperty()->name; ?>:</b></td>
                                                <td><?= $propertyValue->value; ?></td>
                                            </tr>
                                        <? endforeach; ?>
                                    </table>
								</div>
							</div>
                            <? endif; ?>

                            <? if ($model->description_full) : ?>
                            <div class="col-xs-12 ">
								<h2 class="no-margin mt-10 mb-10 cl-grey fz16">Описание</h2>
                                <div>
                                    <?= $model->description_full; ?>
                                </div>
                            </div>

                            <? endif; ?>

						</div>
						<!--<h2 class="no-margin mt-10 mb-10 col-md-12">Похожие товары</h2>
						<ul class="thumbnails">
							<li class="col-md-4">
								<div class="service-box">
									<div class="mb-10">
										<a href="service_detail.html" class=""><img alt="" src="img/dver1.png"></a>
									</div>
									<div class="caption text-center mt-20">
										<a href="service_detail.html">Входная стальная дверь Форпост  58ИС</a>
										<div class="condensed fz16 mt-10 mb-10"><b>17 500 руб.</b></div>

									</div>
								</div>
							</li>
							<li class="col-md-4">
								<div class="service-box">
									<div class="mb-10">
										<a href="service_detail.html" class=""><img alt="" src="img/dver3.png"></a>
									</div>
									<div class="caption text-center mt-20">
										<a href="service_detail.html">Входная стальная дверь Форпост  58ИС</a>
										<div class="condensed fz16 mt-10 mb-10"><b>17 500 руб.</b></div>

									</div>
								</div>
							</li>
							<li class="col-md-4">
								<div class="service-box">
									<div class="mb-10">
										<a href="service_detail.html" class=""><img alt="" src="img/dver1.png"></a>
									</div>
									<div class="caption text-center mt-20">
										<a href="service_detail.html">Входная стальная дверь Форпост  58ИС</a>
										<div class="condensed fz16 mt-10 mb-10"><b>17 500 руб.</b></div>

									</div>
								</div>
							</li>
						</ul>-->

        </div>
    </div>
</div>
