<?php
/**
 * view
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 09.12.2014
 * @since 1.0.0
 */

/**
 * @var \skeeks\cms\models\Publication $model
 */
?>
<?= \Yii::$app->cms->renderFrontend('include/slider.php'); ?>

<div class="row">
    <?= \Yii::$app->cms->widgetInfoblock('breadcrumbs'); ?>
</div>

<div class="row">
   <!-- left col -->
    <div class="col-md-3">
        <?= \Yii::$app->cms->renderFrontend('include/left-col.php'); ?>
    </div>
    <!-- right col -->
    <div class="col-md-9 content-col">
        <div class="row">

            <h1 class="page-title col-md-6 col-xs-6 mt-10 mb-20"><?= \Yii::$app->cms->getCurrentTree()->name; ?></h1>
            <div class="col-md-6 col-xs-6 mt-20 text-right"><a href="<?= \Yii::$app->cms->getCurrentTree()->getPageUrl(); ?>" class="link-chevron"><?= \Yii::$app->cms->getCurrentTree()->name; ?></a></div>

            <div class="col-xs-12">
                <div class="pt-20 pb-20">
                    <div class="condensed fz18 mb-10"><?= $model->name; ?>
                        <span class="cl-grey fz15 pl-20"><?= \Yii::$app->formatter->asDate($model->published_at, 'short')?></span>
                    </div>
                    <div class="news-item-content">
                        <? if ($model->hasMainImage()) : ?>
                            <a href="<?= $model->getPageUrl(); ?>" title="<?= $model->name; ?>">
                                <img alt="<?= $model->name; ?>" title="<?= $model->name; ?>" src="<?=
                                \Yii::$app->imaging->getImagingUrl($model->getMainImageSrc(),
                                    new \skeeks\cms\components\imaging\filters\Thumbnail([
                                        'w'    => 200,
                                        'h'    => 130,
                                    ])
                                ) ?>
                                <?/*= $model->getMainImageSrc(); */?>" class="news-item-img">
                            </a>
                        <? endif; ?>

                        <?= $model->description_full; ?>
                    </div>
                </div>
            </div>
            <!--<div class="col-xs-12 col-md-6 mt-20">
                <div class="condensed fz18 mb-10">Предидущие новости</div>
                <ul class="unstyled">
                    <li class="border-b pt-10 pb-10">
                        <span class="cl-grey fz13 pr-20">25.12.2015</span><a class="" href="#">Новость номер два</a>
                    </li>
                    <li class="border-b pt-10 pb-10">
                        <span class="cl-grey fz13 pr-20">25.12.2015</span><a class="" href="#">Новость номер два</a>
                    </li>
                    <li class="pt-10 pb-10">
                        <span class="cl-grey fz13 pr-20">25.12.2015</span><a class="" href="#">Новость номер два</a>
                    </li>
                </ul>
            </div>-->

        </div>
    </div>
</div>
