<?php
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 19.02.2015
 * @since 1.0.0
 */
include_once __DIR__ . '/Base.php';
/**
 * Class Install
 */
class Install extends Base
{
    public function init()
    {
        parent::init();
        echo "SkeekS Application Initialization Tool 1.0.0\n\n";
    }

    /**
     * Стандартный процесс установки
     */
    public function actionInstall()
    {
        if (isset($this->params['autoremove']))
        {
            $this->stdoutN('    - remove all');

            $this->systemCmdRoot("rm -rf .composer");
            $this->systemCmdRoot("rm -f composer.lock");
            $this->systemCmdRoot("rm -f composer.phar");
            $this->systemCmdRoot("rm -rf vendor");
        }

        $this->stdoutN('    - set executable');
        Helper::setExecutable(ROOT_DIR, $this->setExecutable);
        $this->stdoutN('    - set writable');
        Helper::setWritable(ROOT_DIR, $this->setWritable);

        $this->stdoutN('    - composer install');
        if (file_exists(ROOT_DIR . '/composer.phar'))
        {
            $this->systemCmdRoot("php composer.phar self-update");
        } else
        {
            $this->systemCmdRoot("php -r \"readfile('https://getcomposer.org/installer');\" | php");
        }

        $this->stdoutN('    - composer global asset-plugin install');
        $this->systemCmd("COMPOSER_HOME=.composer php composer.phar global require \"fxp/composer-asset-plugin:1.0.0\" --profile");

        $this->stdoutN('    - composer install');
        $this->systemCmd("COMPOSER_HOME=.composer php composer.phar install --profile");

        $this->systemCmd("php yii cms/update/project");
    }

    /**
     *
     */
    public function actionRemove()
    {
        $this->stdoutN('    - delete all');

        $this->systemCmdRoot("rm -rf .composer");
        $this->systemCmdRoot("rm -f composer.lock");
        $this->systemCmdRoot("rm -f composer.phar");
        $this->systemCmdRoot("rm -rf vendor");
    }



    /**
     * TODO: порефакторить
     */
    public function __backup__actionEnvInit()
    {
        $envName = 'auto';

        $globalFileName = $this->root . "/global.php";

        if (isset($this->params["env"]))
        {
            if ($this->params["env"])
            {
                $envName = $this->params["env"];
            }
        }


        if ($envName != 'auto')
        {
            echo "      Создание файла {$globalFileName}\n";

            $content = <<<PHP
        <?php
        /**
         * Auto generated file
         *
         * @author Semenov Alexander <semenov@skeeks.com>
         * @link http://skeeks.com/
         * @copyright 2010-2014 SkeekS (Sx)
         * @date 19.02.2015
         * @since 1.0.0
         */
        defined('YII_ENV') or define('YII_ENV', '{$envName}');
PHP;


            $file = fopen($globalFileName, "w");
            fwrite($file, $content);
            fclose($file);
        } else
        {
            echo "      Удаление файла {$globalFileName}\n";

            if (file_exists($globalFileName))
            {
                if (!unlink($globalFileName))
                {
                    echo "\n  Не получается удалить файл: {$globalFileName}\n";
                    exit(0);
                }
            }
        }


        return $this;
    }
}