<?php
/**
 * Web
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 12.10.2014
 * @since 1.0.0
 */

/**
 * Class Cx_Application_Web
 */
class Cx_Application_Web
    extends Cx_Application
{
    /**
     * @return bool
     */
    public function isCli()
    {
        return false;
    }


    /**
     * @var Cx_View
     */
    public $view        = null;

    public function init()
    {
        parent::init();

        $this->view = new Cx_View([
            'paths' => [APP_DIR_VIEWS]
        ]);
    }
    /**
     *
     */
    public function processRequest()
    {
        ob_start();

        $request        = $this->getRequest();
        $response       = $this->getResponse();

        $this->getUrlManager()->route($request);

        //Перехват некоторых ошибок в процессе роутинга и диспатча запроса. Все что здесь не будет прехвачено будет обработано выше фреймворком.
        try
        {
            $this->dispatch($request, $response);
        }
        catch (Cx_Exception $e)
        {
            echo $e->getMessage();
        }

        $content = ob_get_clean();
        $response->appendBody($content);
        $response->execute();
    }



}