<?php
/**
 * Web
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 12.10.2014
 * @since 1.0.0
 */

/**
 * Class Cx_Application_Web
 */
class Cx_Application_WebCustom
    extends Cx_Application_Web
{
    public $layout = 'layouts/main.php';

    /**
     *
     */
    public function processRequest()
    {
        ob_start();

        $request        = $this->getRequest();
        $response       = $this->getResponse();

        $this->getUrlManager()->route($request);

        //Перехват некоторых ошибок в процессе роутинга и диспатча запроса. Все что здесь не будет прехвачено будет обработано выше фреймворком.
        try
        {
            $this->dispatch($request, $response);
        }
        catch (Cx_Exception $e)
        {
            echo $e->getMessage();
        }

        $content = ob_get_clean();

        if ($response instanceof Cx_Controller_Response_Http_Html)
        {
            $content = $this->view->render($this->layout, [
                'content' => $content
            ]);
        }

        Sx::$app->response->appendBody($content);
        Sx::$app->response->execute();
    }
}