<?php
/**
 * interface Singleton
 *
 * @date 03.10.2014
 * @copyright skeeks.com
 * @author Semenov Alexander <semenov@skeeks.com>
 */
interface Ix_Singleton
{
    /**
     * @abstract
     * @static
     * @return Ix_Singleton
     */
    static public function getInstance();
}

/**
 * Class Tx_Singleton
 */
trait Tx_Singleton
{
    /**
     * @var null
     */
    static protected $_instance = null;

    /**
     * @return static
     */
    static public function getInstance()
    {
        if (is_null(self::$_instance))
        {
            self::$_instance = new static();
        }

        return self::$_instance;
    }
}

/**
 * Class Cx_Singleton
 */
class Cx_Singleton
    implements Ix_Singleton
{
    use Tx_Singleton;
}