<?php
/**
 * Хитрый хелпер урлов для нашего движка.
 * Вынесен в отдельный класс, чтобы не портить и не нагромождать класс Cx_Url
 * Helper
 *
 * @date 06.06.14
 * @copyright skeeks.com
 * @author Semenov Alexander <semenov@skeeks.com>
 */

/**
 * Class Cx_Url_Helper
 */
class Cx_Url_Helper
{
    const PARAM_REFERER_NAME = "sx-ref";
    /**
     * @var Cx_Url
     */
    protected $_url;

    /**
     * @param Cx_Url $url
     */
    public function __construct(Cx_Url $url)
    {
        $this->_url = $url;
    }

    /**
     * @param string $referer
     * @return $this
     */
    /*public function setReferer($referer = null)
    {
        if ($referer === null)
        {
            $request = Sx::app()->getFrontController()->getRequest();
            if ($getReferer = $request->getQuery(Cx_Url_Helper::PARAM_REFERER_NAME))
            {
                $referer = $getReferer;
            } else
            {
                $referer = $request->getUrl();
            }

        }

        $this->_url->getQuery()->set(self::PARAM_REFERER_NAME, (string) $referer);

        return $this;
    }*/

    /**
     * @return string
     */
    public function toString()
    {
        return (string) $this->_url;
    }

    /**
     * @return string
     */
    public function __toString()
    {
        return $this->toString();
    }



    /**
     *
     * перевод строки в транслит
     *
     * @param $str
     * @return mixed
     */
    static public function translitUtf($str)
    {
        if (preg_match('/[^A-Za-z0-9_\-]/', $str)) {
            $tr = array(
                "А"=>"a","Б"=>"b","В"=>"v","Г"=>"g",
                "Д"=>"d","Е"=>"e","Ж"=>"j","З"=>"z","И"=>"i",
                "Й"=>"y","К"=>"k","Л"=>"l","М"=>"m","Н"=>"n",
                "О"=>"o","П"=>"p","Р"=>"r","С"=>"s","Т"=>"t",
                "У"=>"u","Ф"=>"f","Х"=>"h","Ц"=>"ts","Ч"=>"ch",
                "Ш"=>"sh","Щ"=>"sch","Ъ"=>"","Ы"=>"yi","Ь"=>"",
                "Э"=>"e","Ю"=>"yu","Я"=>"ya","а"=>"a","б"=>"b",
                "в"=>"v","г"=>"g","д"=>"d","е"=>"e","ж"=>"j",
                "з"=>"z","и"=>"i","й"=>"y","к"=>"k","л"=>"l",
                "м"=>"m","н"=>"n","о"=>"o","п"=>"p","р"=>"r",
                "с"=>"s","т"=>"t","у"=>"u","ф"=>"f","х"=>"h",
                "ц"=>"ts","ч"=>"ch","ш"=>"sh","щ"=>"sch","ъ"=>"y",
                "ы"=>"yi","ь"=>"","э"=>"e","ю"=>"yu","я"=>"ya",
                //" "=> "_", "."=> "", "/"=> "_"
                " "=> "-", "."=> "", "/"=> "_"
            );
            $str = strtr($str,$tr);
            $str = preg_replace('/[^A-Za-z0-9_\-]/', '', $str);
        }
        return $str;
    }
}