<?php
/**
 * UrlManager
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 20.02.2015
 * @since 1.0.0
 */
class Cx_UrlManager
{
    public $routeParamName = 'r';

    /**
     * @param Cx_Controller_Request $request
     * @return Cx_Controller_Request
     */
    public function route(Cx_Controller_Request $request)
    {
        $query = $request->getQuery();
        $route = $query->get($this->routeParamName);

        $controller = 'default';
        $action = 'index';

        if ($route)
        {
            $roteParts = explode('/', $route);

            if (isset($roteParts[0]))
            {
                $controller = $roteParts[0];
            }

            if (isset($roteParts[1]))
            {
                $action = $roteParts[1];
            }
        }

        $request->route($controller, $action, $query->toArray());
        return $request;
    }

    /**
     * @param $route
     * @param array $params
     * @return string
     */
    public function createUrl($route, array $params = [])
    {
        $data = array_merge($params, [
            $this->routeParamName = $route,
        ]);

        return '/index.php?' . http_build_query($data);
    }
}