<?php
/**
 * Default
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 20.02.2015
 * @since 1.0.0
 */

class Cx_Controller_Default extends Cx_Controller_Action
{
    protected function _init()
    {
        parent::_init();
        $this->view->setPaths([APP_DIR_VIEWS . '/' . $this->id]);
    }

    public $noRender = false;

    protected function _postDispatch()
    {
        if (Sx::$app->request->isAjax()) {
            Sx::$app->response = new Cx_Controller_Response_Http_Plain();
        }


        if ($this->noRender)
        {
            return $this;
        }

        if (Sx::$app->request->isAjax())
        {
            return $this;
        }


        echo $this->view->render($this->action . '.php');
    }

    public function actionIndex()
    {
        $skeeksFile = ROOT_DIR . '/vendor/skeeks/cms/app-web.php';

        $this->view->ready = '';
        if (file_exists($skeeksFile))
        {
            if (!$this->installInProccess())
            {
                header("Location: /");
                die;

                $this->view->ready = '1';
            }
        }

        $this->view->inProccess = 0;
        $this->view->installTime = 0;
        if (!$this->view->ready)
        {
            $this->view->inProccess     = (int) $this->installInProccess();
            $this->view->installTime    = (int) $this->installTime();
        }

        if (Sx::$app->request->isAjax())
        {
            system('cd ' . ROOT_DIR . "; php init install --autoremove --unlock;");
        }
    }

    public function actionCheckinstall()
    {
        if (Sx::$app->request->isAjax())
        {
            echo (int) $this->installTime();
        }
    }

    /**
     * Установка в процессе?
     *
     * @return bool
     */
    protected function installInProccess()
    {
        $installLockFile =  ROOT_DIR . '/install/runtime/install.lock';
        return file_exists($installLockFile);
    }

    /**
     * @return string
     */
    protected function installTime()
    {
        if ($this->installInProccess())
        {
            return time() - file_get_contents(ROOT_DIR . '/install/runtime/install.lock');
        }

        return 0;
    }
}